kind: DaemonSet
apiVersion: apps/v1
metadata:
  annotations:
    clusterresourceoverride.operator.autoscaling.openshift.io/configuration.hash: 577fe3d2b05619ac326571a3504857e3e7e70a275c941e3397aa9db5c1a1d3a4
    clusterresourceoverride.operator.autoscaling.openshift.io/servingcert.hash: aa743199cac7406f908449f72ec2a60a1f376b979c515230f39383975e0e9101
    deprecated.daemonset.template.generation: '1'
  resourceVersion: '94766'
  name: clusterresourceoverride
  uid: 2393a333-44df-4a66-9f00-0286c3921528
  creationTimestamp: '2023-02-01T22:47:02Z'
  generation: 1
  managedFields:
    - manager: cluster-resource-override-admission-operator
      operation: Update
      apiVersion: apps/v1
      time: '2023-02-01T22:47:02Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:clusterresourceoverride.operator.autoscaling.openshift.io/configuration.hash': {}
            'f:clusterresourceoverride.operator.autoscaling.openshift.io/servingcert.hash': {}
            'f:deprecated.daemonset.template.generation': {}
          'f:labels':
            .: {}
            'f:operator.autoscaling.openshift.io/clusterresourceoverride': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"a32b572b-0c16-450b-a7e1-5d21dbec215f"}': {}
        'f:spec':
          'f:revisionHistoryLimit': {}
          'f:selector': {}
          'f:template':
            'f:metadata':
              'f:annotations':
                .: {}
                'f:clusterresourceoverride.operator.autoscaling.openshift.io/configuration.hash': {}
                'f:clusterresourceoverride.operator.autoscaling.openshift.io/owner': {}
                'f:clusterresourceoverride.operator.autoscaling.openshift.io/servingcert.hash': {}
              'f:labels':
                .: {}
                'f:clusterresourceoverride': {}
                'f:operator.autoscaling.openshift.io/clusterresourceoverride': {}
              'f:name': {}
            'f:spec':
              'f:volumes':
                .: {}
                'k:{"name":"configuration"}':
                  .: {}
                  'f:configMap':
                    .: {}
                    'f:defaultMode': {}
                    'f:name': {}
                  'f:name': {}
                'k:{"name":"serving-cert"}':
                  .: {}
                  'f:name': {}
                  'f:secret':
                    .: {}
                    'f:defaultMode': {}
                    'f:secretName': {}
              'f:containers':
                'k:{"name":"clusterresourceoverride"}':
                  'f:image': {}
                  'f:volumeMounts':
                    .: {}
                    'k:{"mountPath":"/etc/clusterresourceoverride/config/override.yaml"}':
                      .: {}
                      'f:mountPath': {}
                      'f:name': {}
                      'f:subPath': {}
                    'k:{"mountPath":"/var/serving-cert"}':
                      .: {}
                      'f:mountPath': {}
                      'f:name': {}
                  'f:terminationMessagePolicy': {}
                  .: {}
                  'f:resources': {}
                  'f:args': {}
                  'f:command': {}
                  'f:env':
                    .: {}
                    'k:{"name":"CONFIGURATION_PATH"}':
                      .: {}
                      'f:name': {}
                      'f:value': {}
                  'f:terminationMessagePath': {}
                  'f:imagePullPolicy': {}
                  'f:ports':
                    .: {}
                    'k:{"containerPort":9400,"protocol":"TCP"}':
                      .: {}
                      'f:containerPort': {}
                      'f:hostPort': {}
                      'f:protocol': {}
                  'f:name': {}
              'f:dnsPolicy': {}
              'f:tolerations': {}
              'f:serviceAccount': {}
              'f:restartPolicy': {}
              'f:schedulerName': {}
              'f:hostNetwork': {}
              'f:nodeSelector': {}
              'f:terminationGracePeriodSeconds': {}
              'f:serviceAccountName': {}
              'f:securityContext': {}
          'f:updateStrategy':
            'f:rollingUpdate':
              .: {}
              'f:maxSurge': {}
              'f:maxUnavailable': {}
            'f:type': {}
    - manager: kube-controller-manager
      operation: Update
      apiVersion: apps/v1
      time: '2023-02-01T22:47:21Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:observedGeneration': {}
    - manager: kube-controller-manager
      operation: Update
      apiVersion: apps/v1
      time: '2023-02-02T00:13:28Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:currentNumberScheduled': {}
          'f:desiredNumberScheduled': {}
          'f:numberAvailable': {}
          'f:numberMisscheduled': {}
          'f:numberReady': {}
          'f:updatedNumberScheduled': {}
      subresource: status
  namespace: clusterresourceoverride-operator
  ownerReferences:
    - apiVersion: operator.autoscaling.openshift.io/v1
      kind: ClusterResourceOverride
      name: cluster
      uid: a32b572b-0c16-450b-a7e1-5d21dbec215f
      controller: true
      blockOwnerDeletion: true
  labels:
    operator.autoscaling.openshift.io/clusterresourceoverride: 'true'
spec:
  selector:
    matchLabels:
      clusterresourceoverride: 'true'
  template:
    metadata:
      name: clusterresourceoverride
      creationTimestamp: null
      labels:
        clusterresourceoverride: 'true'
        operator.autoscaling.openshift.io/clusterresourceoverride: 'true'
      annotations:
        clusterresourceoverride.operator.autoscaling.openshift.io/configuration.hash: 577fe3d2b05619ac326571a3504857e3e7e70a275c941e3397aa9db5c1a1d3a4
        clusterresourceoverride.operator.autoscaling.openshift.io/owner: cluster
        clusterresourceoverride.operator.autoscaling.openshift.io/servingcert.hash: aa743199cac7406f908449f72ec2a60a1f376b979c515230f39383975e0e9101
    spec:
      nodeSelector:
        node-role.kubernetes.io/master: ''
      restartPolicy: Always
      serviceAccountName: clusterresourceoverride
      schedulerName: default-scheduler
      hostNetwork: true
      terminationGracePeriodSeconds: 30
      securityContext: {}
      containers:
        - resources: {}
          terminationMessagePath: /dev/termination-log
          name: clusterresourceoverride
          command:
            - /usr/bin/cluster-resource-override-admission
          env:
            - name: CONFIGURATION_PATH
              value: /etc/clusterresourceoverride/config/override.yaml
          ports:
            - hostPort: 9400
              containerPort: 9400
              protocol: TCP
          imagePullPolicy: Always
          volumeMounts:
            - name: serving-cert
              mountPath: /var/serving-cert
            - name: configuration
              mountPath: /etc/clusterresourceoverride/config/override.yaml
              subPath: configuration.yaml
          terminationMessagePolicy: File
          image: >-
            registry.redhat.io/openshift4/ose-clusterresourceoverride-rhel8@sha256:23c678bda6cf05bf9c7d7244eb3496ca0f3f86b1aac7441415ae1165808eca20
          args:
            - '--secure-port=9400'
            - '--bind-address=127.0.0.1'
            - '--tls-cert-file=/var/serving-cert/tls.crt'
            - '--tls-private-key-file=/var/serving-cert/tls.key'
            - '--v=3'
      serviceAccount: clusterresourceoverride
      volumes:
        - name: serving-cert
          secret:
            secretName: server-serving-cert-clusterresourceoverride
            defaultMode: 420
        - name: configuration
          configMap:
            name: clusterresourceoverride-configuration
            defaultMode: 420
      dnsPolicy: ClusterFirst
      tolerations:
        - key: node-role.kubernetes.io/master
          operator: Exists
          effect: NoSchedule
        - key: node.kubernetes.io/unreachable
          operator: Exists
          effect: NoExecute
          tolerationSeconds: 120
        - key: node.kubernetes.io/not-ready
          operator: Exists
          effect: NoExecute
          tolerationSeconds: 120
  updateStrategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 1
      maxSurge: 0
  revisionHistoryLimit: 10
status:
  currentNumberScheduled: 3
  numberMisscheduled: 0
  desiredNumberScheduled: 3
  numberReady: 3
  observedGeneration: 1
  updatedNumberScheduled: 3
  numberAvailable: 3
